Skip to content

Get received payment detail

Get details for a single received payment, including network and recipient (payTo) fields not present in the list response.

GET
/api/received-payments/{id}

Authorizations

agentJwt

Agent registration JWT. Send as Authorization: Bearer <agent-jwt>.

Type
HTTP (bearer)

Responses

Received payment detail.

application/json

Response for the received payment detail endpoint.

Additional fields returned by the detail endpoint.

{
  "payment": {
    "id": "<integer>",
    "payerAddress": "<string>",
    "amount": "<string>",
    "currency": "<string>",
    "settlementStatus": "<string>",
    "settlementTxHash": "<string,null>",
    "sourceType": "<string>",
    "description": "<string,null>",
    "paymentLinkId": "<string,null>",
    "payerEmail": "<string,null>",
    "createdAt": "<string>",
    "network": "<string,null>",
    "payTo": "<string,null>"
  }
}

Released under the MIT License.